import { defineConfig } from "tsup";

export default defineConfig({
  entry: ["src/index.ts"],
  outDir: "dist",
  splitting: false,
  sourcemap: false,
  clean: true,
  esbuildOptions(options) {
    options.banner = {
      ...options.banner,
      js: "/* eslint-disable */",
    };
  },
});
